# tlsn_wasm::types - Rust
WASM type definitions with TypeScript bindings.

Skip to main content

## Module types

Source
Expand description

WASM type definitions with TypeScript bindings.

## Structs§

Commit
  Ranges of data to hash-commit.
CommitRange
  A byte range paired with a hash algorithm for commitment.
ConnectionInfo
  Connection information.
HttpRequest
  HTTP request.
HttpResponse
  HTTP response.
PartialTranscript
  Partial transcript with authenticated ranges.
Reveal
  Ranges of data to reveal.
Transcript
  Full transcript of sent and received data.
TranscriptLength
  Transcript length information.
VerifierOutput
  Output from the verifier.

## Enums§

Body
  HTTP request body.
HashAlgorithm
  Hash algorithm for hash-commitment actions.
Method
  HTTP method.
NetworkSetting
  Network setting for protocol optimization.
TlsVersion
  TLS version.